Subject: RE: 25.1.50; Buffer encoding corrupted up by 'make' in shell-mode

From: Simon Peyton Jones <[email-masked]>
Date: Wed, 19 Oct 2016 19:07:44 +0000

Thanks John.

It's emacs 24.5.1 (686-pc-mingw32)

It's not 'make' per se; for example 'make --version' or 'make boot' (which does nothing) is fine.  The invocation of make that causes the funny quotes to appear invokes Python, if that helps.

Deeply mysterious.

If I start a new shell, I get quotes looking nice again.  Could something in the shell environment be affected by invoking python?

Simon

| -----Original Message-----
| From: John Wiegley [mailto:[email-masked]]
| Sent: 19 October 2016 18:33
| To: [email-masked]
| Cc: Simon Peyton Jones <[email-masked]>
| Subject: 25.1.50; Buffer encoding corrupted up by 'make' in shell-mode
| 
| I have a friend who is using Emacs 24.5 on Windows, and who is
| experiencing a strange behavior: Unicode quotes display properly, but
| after *invoking* a 'make' command -- even with its output fully
| redirected to a file -- buffer decoding begins to fail, causing later
| quotes to be display as escape codes.
| 
| I'm attaching a screenshot from his machine, to show the behavior: